%{H_TEMPLATE}

#ifndef _%{APPNAMEUC}VIEW_H_
#define _%{APPNAMEUC}VIEW_H_

#include <tqwidget.h>
#include <tdeparts/part.h>
#include <%{APPNAMELC}iface.h>

class TQPainter;
class KURL;

/**
 * This is the main view class for %{APPNAME}.  Most of the non-menu,
 * non-toolbar, and non-statusbar (e.g., non frame) GUI code should go
 * here.
 *
 * This %{APPNAMELC} uses an HTML component as an example.
 *
 * @short Main view
 * @author %{AUTHOR} <%{EMAIL}>
 * @version %{VERSION}
 */
class %{APPNAME}View : public TQWidget, public %{APPNAME}Iface
{
    TQ_OBJECT
  
public:
	/**
	 * Default constructor
	 */
    %{APPNAME}View(TQWidget *parent);

	/**
	 * Destructor
	 */
    virtual ~%{APPNAME}View();

    /**
     * Random 'get' function
     */
    TQString currentURL();

    /**
     * Random 'set' function accessed by DCOP
     */
    virtual void openURL(TQString url);

    /**
     * Random 'set' function
     */
    virtual void openURL(const KURL& url);

    /**
     * Print this view to any medium -- paper or not
     */
    void print(TQPainter *, int height, int width);

signals:
    /**
     * Use this signal to change the content of the statusbar
     */
    void signalChangeStatusbar(const TQString& text);

    /**
     * Use this signal to change the content of the caption
     */
    void signalChangeCaption(const TQString& text);

private slots:
    void slotOnURL(const TQString& url);
    void slotSetTitle(const TQString& title);

private:
    KParts::ReadOnlyPart *m_html;
};

#endif // _%{APPNAMEUC}VIEW_H_
